public
Last active

Ruby-1.9.x debugger install script

  • Download Gist
0-README.md
Markdown

Ruby-1.9.3 debugger install script

This script will install ruby-debug19 under your current Ruby 1.9.3 environment.

Requirements

  • rbenv

Installation

curl -s https://raw.github.com/gist/1949234/rbenv.sh | sh

FAQ

rbenv.sh
Shell
1 2 3 4 5 6 7 8 9 10 11
USER=`whoami`
RUBY_VERSION=`rbenv version | cut -f 1 -d " "`
RUBY_BASE_VERSION=`rbenv version | grep '^1.9.[0-9]-p[0-9]\{1,\}' -o`
 
curl -s -L http://rubyforge.org/frs/download.php/75414/linecache19-0.5.13.gem > linecache19-0.5.13.gem
gem install linecache19-0.5.13.gem
rm linecache19-0.5.13.gem
 
curl -s -L http://rubyforge.org/frs/download.php/75415/ruby-debug-base19-0.11.26.gem > ruby-debug-base19-0.11.26.gem
gem install ruby-debug-base19-0.11.26.gem -- --with-ruby-include=/Users/$USER/.rbenv/versions/$RUBY_VERSION/include/ruby-1.9.1/ruby-$RUBY_BASE_VERSION
rm ruby-debug-base19-0.11.26.gem

Please sign in to comment on this gist.

Something went wrong with that request. Please try again.